Subject: Redirecting from Plugin action to another and try to use debug in target action leads to white page
Description

Having PluginA wich redirects on finalizeAction() to PluginB->showAction().
Using flows debugger either directly in the action with \TYPO3\Flow\var_dump() leads to a white page.
Also white page if you use <f:debug> inside of the action template.

Additional: There is not realy a redirect to the node where PluginB is located. You stay on the node where PluginA is located also if
PluginA is in use.
Dont know if this is a bug or a feature or is it a good idea to resolve the node where the PluginB is located

History
#1 - 2014-05-19 17:58 - Carsten Bleicker

Update: var_dump('foo') works.
var_dump($bar) does not work because of some exception.
but exception isnt shown. instead of this i end up in a white page.

#2 - 2014-05-19 18:06 - Carsten Bleicker

Update: I am runnig into an exception, wich is my fault:
Uncaught exception #1 in line 1608 of
/Users/pumatertion/Sites/neos.pipeu/Packages/Libraries/doctrine/orm/lib/Doctrine/ORM/Persisters/BasicEntityPersister.php: Notice: Undefined index:
documents in /Users/pumatertion/Sites/neos.pipeu/Packages/Libraries/doctrine/orm/lib/Doctrine/ORM/Persisters/BasicEntityPersister.php line 1608

But why there is not output of this exception? Instead of this i get simply a white page.
But the page isnt realy empty:
https://gist.github.com/anonymous/f8f707382960f092a440

#3 - 2014-05-20 09:29 - Bastian Waidelich
- Status changed from New to Needs Feedback
- Assigned To set to Bastian Waidelich

Hi Carsten,

in the mailing list you posted the same issue and wrote "My fault, cache hits me, again." - so can we close this one?

But why there is not output of this exception? Instead of this i get simply a white page.

I don't know for sure, but if you post this question to the ml (in your thread) I'm sure someone of the TypoScript wizards can help
#4 - 2014-05-20 09:39 - Carsten Bleicker

Mailing list issue is different to this.
I simply just tried there to redirect to neos frontent node controller.
this was cached somehow and my changes to the default redirecting didnt worked.
so mailing list issue is fixed.

but this forge issue is still present.

#5 - 2014-05-20 09:49 - Bastian Waidelich
- Status changed from Needs Feedback to New
- Assigned To deleted (Bastian Waidelich)

Carsten Bleicker wrote:

Mailing list issue is different to this.

Ok, I see - sorry, can't help with this one atm

#6 - 2014-10-01 13:56 - Philipp Hanebrink
- Status changed from New to Closed

Moved to Jira: https://jira.typo3.org/browse/NEOS-469

2015-08-04 2/2

https://jira.typo3.org/browse/NEOS-469

